create_wave_port_from_two_conductors

Hfss3dLayout.create_wave_port_from_two_conductors(primivitivenames=[''], edgenumbers=[''])[source]

Create a wave port.

Parameters
primivitivenameslist(str)

List of the of the primitive name to create the wave port on. The list length must be 2 e.g. for the two conductors or the command will not be executed.

edgenumbers

List of the edge number to create the wave port on. The list length must be 2 e.g. for the two edges or the command will not be executed.

Returns
type

Name of the port when successful, False when failed.

References

>>> oEditor.CreateEdgePort